#include<bits/stdc++.h>
using namespace std;
string s;
int main()
{
    cin.tie(NULL);
    cout.tie(NULL);
    long long n,BrNechetni=0;
    cin>>n;
    for(long long i=0; i<=n; i++)
    {
        getline(cin,s);
    }
    cout<<1011;
    for(long long i=3;i<n;i++){
        cout<<0;
    }





    return 0;
}

